Summary: A set of tools for Adaptec hardware RAID controllers.
Name: adaptec-cli
Version: 6.30.18507
Release: 1.cern
License: Proprietary
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Base
Source: %{name}.tar.gz
Packager: Andras.Horvath@cern.ch
#Requires: sg3_utils-libs
Provides: libstdc++.so.5
ExclusiveArch: i386 x86_64

%description
Command line toolkit to manage Adaptec cards, including RAID config tool
arcconf and disk firmware upgrade tools.
** firmware upgrade on SL5/i386 only! **

%prep
%setup -n %{name}

%install
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/lib/%{name}
mkdir -p %{buildroot}/usr/share/doc/%{name}
mkdir -p %{buildroot}/etc/ld.so.conf.d
%ifarch x86_64
	pushd x64/usr/StorMan
%else
	pushd x86/usr/StorMan
%endif
cp arcconf %{buildroot}/usr/bin
cp libstdc++.so.5 %{buildroot}/usr/lib/%{name}
popd
cp README LICENCE %{buildroot}/usr/share/doc/%{name}
%ifnarch x86_64
	cp -a lib/libsgutils* %{buildroot}/usr/lib/%{name}
	cp sg_sat_downloaducode sg_sat_pauseio sg_sat_unpauseio %{buildroot}/usr/bin
	cp -a lib/libsgutils* %{buildroot}/usr/lib/%{name}
%endif
echo "/usr/lib/%{name}" > %{buildroot}/etc/ld.so.conf.d/%{name}.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) /usr/bin/arcconf
%ifnarch x86_64
%attr(755,root,root) /usr/bin/sg_sat_downloaducode
%attr(755,root,root) /usr/bin/sg_sat_pauseio
%attr(755,root,root) /usr/bin/sg_sat_unpauseio
%endif
/usr/lib/%{name}
/etc/ld.so.conf.d/%{name}.conf
%doc /usr/share/doc/%{name}/README
%doc /usr/share/doc/%{name}/LICENCE

%post
ldconfig

%changelog
* Wed Sep 16 2009  Andras HORVATH <andras.horvath@cern.ch> 6.30.18507
- new upstream version

* Thu Jun 25 2009  Andras HORVATH <andras.horvath@cern.ch> 6.20.18451
- new upstream version
- smaller src.rpm
- ExclusiveArch set
- updated description

* Wed Mar 11 2009  Andras HORVATH <andras.horvath@cern.ch> 6.10.18359
- new upstream version
- 'real' x86_64 version

* Mon Nov 10 2008 Andras Horvath <Andras.Horvath@cern.ch> 6.0.b17922
- fresh upstream
- removed unneeded library files

* Fri Jul 11 2008 Andras Horvath <Andras.Horvath@cern.ch>	5.50.b17901
- first release
